taxId {RpsiXML} | R Documentation

## The taxonomy ID of the given parameter

### Description

Returns the taxonomy ID of the object

### Usage

    taxId(x)

### Arguments

`x` | An object of `psimi25InteractionEntry-class` or `psimi25Complex-class`

### Value

A character string of taxIDs

### Author(s)

Jitao David Zhang <j.zhang@dkfz.de>, Tony Chiang <tchiang@ebi.ac.uk>

### References

PSI-MI 2.5 XML data exchange format, http://www.psidev.info/index.php?q=node/60

### See Also

`S4CLASSpsimi25InteractionEntry-class`

### Examples

    xmlDir <- system.file("/extdata/psi25files",package="RpsiXML")

    hprdxml <- file.path(xmlDir, "hprd_200709_test.xml")
    hprdSet <- parsePsimi25Interaction(hprdxml, HPRD.PSIMI25)

    taxId(hprdSet)

[Package RpsiXML version 1.0.0 Index]